Page MenuHomePhabricator

(Need By:TBD) rack/setup/install alert2001
Closed, ResolvedPublic

Description

This task will track the racking, setup, and OS installation of alert2001

Hostname / Racking / Installation Details

Hostnames: What are the hostnames, and have you updated https://wikitech.wikimedia.org/wiki/Infrastructure_naming_conventions ?

  • alert2001.wikimedia.org (name convention updated)

Racking Proposal: Where should these systems be racked? Can they share with any existing systems or should they avoid any other systems sharing their rack or row?

  • Same location as icinga2001 please

Networking/Subnet/VLAN/IP: What are the network details? 1G or 10G? Only one network port connection, or more? Subnet/vlan and IP requirements per connect?

  • 1G, prod public

Partitioning/Raid: Is this hardware or software raid and what raid levels should be applied to each disk? What are the partitioning requirements and is there an existing partman recipe?

  • SW raid, existing icinga recipe should do the right thing.

OS Distro: Stretch or Buster?

  • Buster -- might as well handle OS upgrade during this HW refresh

Per host setup checklist

Each host should have its own setup checklist copied and pasted into the list below.

alert2001: ge-3/0/8

  • - receive in system on procurement task T252032
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged

Once the system(s) above have had all checkbox steps completed, this task can be resolved.

Related Objects

StatusSubtypeAssignedTask
OpenNone
ResolvedPapaul

Event Timeline

RobH created this task.Jun 10 2020, 7:54 PM
Restricted Application added a project: Operations. · View Herald TranscriptJun 10 2020, 7:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
RobH added a parent task: Unknown Object (Task).Jun 10 2020, 7:55 PM
Papaul moved this task from Backlog to Racking Tasks on the ops-codfw board.Jun 10 2020, 7:58 PM
fgiunchedi renamed this task from (Need By:TBD) rack/setup/install icinga2002 to (Need By:TBD) rack/setup/install alert2001.Jun 11 2020, 3:04 PM
fgiunchedi updated the task description. (Show Details)
Papaul updated the task description. (Show Details)Jun 11 2020, 3:18 PM
Papaul updated the task description. (Show Details)Jun 11 2020, 3:23 PM
RobH removed a subscriber: RobH.Jun 11 2020, 3:30 PM
[edit interfaces interface-range vlan-public1-c-codfw]
     member xe-2/0/14 { ... }
+    member ge-3/0/8;
[edit interfaces interface-range disabled]
-    member ge-3/0/8;
[edit interfaces]
+   ge-3/0/8 {
+       description alert2001;
+   }
Papaul updated the task description. (Show Details)Jun 11 2020, 11:32 PM

Change 604927 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Add DNS entries for alert2001

https://gerrit.wikimedia.org/r/604927

Change 604927 merged by Papaul:
[operations/dns@master] DNS: Add DNS entries for alert2001

https://gerrit.wikimedia.org/r/604927

Change 604933 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] DHCP PARTMAN add alert2001

https://gerrit.wikimedia.org/r/604933

Papaul updated the task description. (Show Details)Jun 12 2020, 12:14 AM

Change 604933 merged by Papaul:
[operations/puppet@production] DHCP PARTMAN add alert2001

https://gerrit.wikimedia.org/r/604933

Change 605248 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] site: Add alert2001 with role insetup

https://gerrit.wikimedia.org/r/605248

Change 605248 merged by Papaul:
[operations/puppet@production] site: Add alert2001 with role insetup

https://gerrit.wikimedia.org/r/605248

Script wmf-auto-reimage was launched by pt1979 on cumin2001.codfw.wmnet for hosts:

alert2001.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/202006121500_pt1979_17782_alert2001_codfw_wmnet.log.

Completed auto-reimage of hosts:

['alert2001.codfw.wmnet']

Of which those FAILED:

['alert2001.codfw.wmnet']

Script wmf-auto-reimage was launched by pt1979 on cumin2001.codfw.wmnet for hosts:

alert2001.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/202006121521_pt1979_20757_alert2001_wikimedia_org.log.

Completed auto-reimage of hosts:

['alert2001.wikimedia.org']

and were ALL successful.

Papaul closed this task as Resolved.Fri, Jun 12, 4:14 PM
Papaul updated the task description. (Show Details)
Papaul added a subscriber: fgiunchedi.

@fgiunchedi server ready for service